Bug 1021149 - Rebase libguestfs to 1.28 in RHEL 7.1
Summary: Rebase libguestfs to 1.28 in RHEL 7.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 927369 1021150 1023978 1098459 1138436 1138604
Blocks: 1082754 1113520 1028676 1071675 1073917 1087729 1113020 1117540 1123797 1134628 1134629 1134630 1134635
TreeView+ depends on / blocked
 
Reported: 2013-10-19 21:00 UTC by Richard W.M. Jones
Modified: 2019-11-14 06:23 UTC (History)
10 users (show)

Fixed In Version: libguestfs-1.27.37-1.1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
: 1134628 1134629 1134630 (view as bug list)
Environment:
Last Closed: 2015-03-05 13:42:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0303 0 normal SHIPPED_LIVE libguestfs bug fix and enhancement update 2015-03-05 17:34:44 UTC

Description Richard W.M. Jones 2013-10-19 21:00:38 UTC
Description of problem:

We should consider rebasing libguestfs from 1.22 -> 1.24 in
RHEL 7.1.

The new features are covered in the release notes here:
http://libguestfs.org/guestfs-release-notes.1.html

In brief the ones which are important for RHEL are:

 - virt-builder: a new tool for building virtual machine images
   rapidly and securely: http://libguestfs.org/virt-builder.1.html

 - virt-resize & virt-sysprep can now use URIs to work on remote disks

 - new virt-sysprep operations

 - support for the systemd journal

 - ARM (? - will this be in RHEL 7?)

Version-Release number of selected component (if applicable):

libguestfs 1.24

Comment 1 Richard W.M. Jones 2014-04-15 07:47:50 UTC
1.28 will contain the new virt-v2v.

Comment 2 Richard W.M. Jones 2014-05-21 17:02:10 UTC
Preview packages of libguestfs RHEL 7.1 are available, see:

https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

Comment 4 Hu Zhang 2015-01-28 09:24:52 UTC
Verified with the package:
libguestfs-1.28.1-1.18.el7

Automation test result: 
LVM:ANY
https://virtlab.englab.nay.redhat.com/job/95923/details
LVM:ON
https://virtlab.englab.nay.redhat.com/job/95933/details
LVM:OFF
https://virtlab.englab.nay.redhat.com/job/95922/details

Result: PASSED

Comment 6 errata-xmlrpc 2015-03-05 13:42:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0303.html


Note You need to log in before you can comment on or make changes to this bug.